# Exec

Exec is a Minecraft server plugin that makes possible to run external scripts via commands. The scripts can be written with Bash or Python for example and the code changes don't need a server restart.

[PlaceholderAPI](https://www.spigotmc.org/resources/placeholderapi.6245/) is required. You might also want to use [mcrcon](https://github.com/Tiiffi/mcrcon) for script output.

## Config
    commands:
        examplecommand:
            script: "/path/to/your/script %player_name% %args%"
            permission: "exec.example"

The Exec config looks like this. You can use the following placeholders:
* %args% means all arguments provided to the command.
* %arg_1%, %arg_2% can be used to read arguments too.
* PlaceholderAPI is supported (and usually required). %player_name% is the most useful one.

You can use `/exec reload` to reload the config.